Loading...
Searching...
No Matches
elastix::LinearResampleInterpolator< TElastix > Class Template Reference
Components » ResampleInterpolators

`#include <elxLinearResampleInterpolator.h>`

## Detailed Description

template<class TElastix>
class elastix::LinearResampleInterpolator< TElastix >

A linear resample-interpolator.

Compared to the BSplineResampleInterpolator and BSplineResampleInterpolatorFloat with SplineOrder 1 this class uses less (in fact, no) memory. You can select this resample interpolator if memory burden is an issue and linear interpolation is sufficient.

The parameters used in this class are:

Parameters
  ResampleInterpolator: Select this resample interpolator as follows:
  (ResampleInterpolator "FinalLinearInterpolator")

Definition at line 44 of file elxLinearResampleInterpolator.h.

Inheritance diagram for elastix::LinearResampleInterpolator< TElastix >:
[legend]

## Public Types

using | ConstPointer = itk::SmartPointer<const Self>
using | ITKBaseType = typename Superclass2::ITKBaseType
using | Pointer = itk::SmartPointer<Self>
using | Self = LinearResampleInterpolator
using | Superclass1
using | Superclass2 = ResampleInterpolatorBase<TElastix>
Public Types inherited from elastix::ResampleInterpolatorBase< TElastix >
using | CoordRepType = ElastixBase::CoordRepType
using | ElastixType
using | InputImageType = typename ElastixType::MovingImageType
using | ITKBaseType = itk::InterpolateImageFunction<InputImageType, CoordRepType>
using | ParameterMapType = typename ElastixType::ParameterMapType
using | RegistrationType
using | Self = ResampleInterpolatorBase
using | Superclass = BaseComponentSE<TElastix>
Public Types inherited from elastix::BaseComponentSE< TElastix >
using | ElastixType = TElastix
using | RegistrationType = typename ElastixType::RegistrationBaseType
using | Self = BaseComponentSE
using | Superclass = BaseComponent

## Public Member Functions

| elxClassNameMacro ("FinalLinearInterpolator")
virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (LinearResampleInterpolator)
| itkStaticConstMacro (ImageDimension, unsigned int, Superclass1::ImageDimension)
Public Member Functions inherited from elastix::ResampleInterpolatorBase< TElastix >
virtual int | BeforeAllTransformix ()
void | CreateTransformParameterMap (ParameterMapType &parameterMap) const
ITKBaseType * | GetAsITKBaseType ()
const ITKBaseType * | GetAsITKBaseType () const
| ITK_DISALLOW_COPY_AND_MOVE (ResampleInterpolatorBase)
virtual void | ReadFromFile ()
void | WriteToFile (std::ostream &transformationParameterInfo) const
Public Member Functions inherited from elastix::BaseComponentSE< TElastix >
void | AddTargetCellToIterationInfo (const char *const name)
const Configuration * | GetConfiguration () const
ElastixType * | GetElastix () const
auto & | GetIterationInfoAt (const char *const name)
RegistrationType * | GetRegistration () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponentSE)
void | RemoveTargetCellFromIterationInfo (const char *const name)
void | SetConfiguration (const Configuration *_arg)
void | SetElastix (ElastixType *_arg)
Public Member Functions inherited from elastix::BaseComponent
virtual void | AfterEachIteration ()
virtual void | AfterEachIterationBase ()
virtual void | AfterEachResolution ()
virtual void | AfterEachResolutionBase ()
virtual void | AfterRegistration ()
virtual void | AfterRegistrationBase ()
virtual int | BeforeAll ()
virtual int | BeforeAllBase ()
virtual void | BeforeEachResolution ()
virtual void | BeforeEachResolutionBase ()
virtual void | BeforeRegistration ()
virtual void | BeforeRegistrationBase ()
virtual const char * | elxGetClassName () const
const char * | GetComponentLabel () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponent)
| itkTypeMacroNoParent (BaseComponent)
void | SetComponentLabel (const char *label, unsigned int idx)

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from elastix::BaseComponent
template<typename TBaseComponent>
static auto | AsITKBaseType (TBaseComponent *const baseComponent) -> decltype(baseComponent->GetAsITKBaseType())
static void | InitializeElastixExecutable ()
static bool | IsElastixLibrary ()

## Protected Member Functions

| LinearResampleInterpolator ()=default
| ~LinearResampleInterpolator () override=default
Protected Member Functions inherited from elastix::ResampleInterpolatorBase< TElastix >
| ResampleInterpolatorBase ()=default
| ~ResampleInterpolatorBase () override=default
Protected Member Functions inherited from elastix::BaseComponentSE< TElastix >
| BaseComponentSE ()=default
| ~BaseComponentSE () override=default
Protected Member Functions inherited from elastix::BaseComponent
| BaseComponent ()=default
virtual | ~BaseComponent ()=default

## Private Attributes

| elxOverrideGetSelfMacro

## Additional Inherited Members

Protected Attributes inherited from elastix::BaseComponentSE< TElastix >
Configuration::ConstPointer | m_Configuration {}
itk::WeakPointer< TElastix > | m_Elastix {}
RegistrationType * | m_Registration {}

## Member Typedef Documentation

## ConstPointer

template<class TElastix>

using elastix::LinearResampleInterpolator< TElastix >::ConstPointer = itk::SmartPointer<const Self>

Definition at line 58 of file elxLinearResampleInterpolator.h.

## ITKBaseType

template<class TElastix>

using elastix::LinearResampleInterpolator< TElastix >::ITKBaseType = typename Superclass2::ITKBaseType

Definition at line 84 of file elxLinearResampleInterpolator.h.

## Pointer

template<class TElastix>

using elastix::LinearResampleInterpolator< TElastix >::Pointer = itk::SmartPointer<Self>

Definition at line 57 of file elxLinearResampleInterpolator.h.

## Self

template<class TElastix>

using elastix::LinearResampleInterpolator< TElastix >::Self = LinearResampleInterpolator

Standard ITK-stuff.

Definition at line 53 of file elxLinearResampleInterpolator.h.

## Superclass1

template<class TElastix>

using elastix::LinearResampleInterpolator< TElastix >::Superclass1

Initial value:
itk::LinearInterpolateImageFunction<typename ResampleInterpolatorBase<TElastix>::InputImageType,
typename ResampleInterpolatorBase<TElastix>::CoordRepType>
elastix::ResampleInterpolatorBase::CoordRepType
ElastixBase::CoordRepType CoordRepType
Definition elxResampleInterpolatorBase.h:61

Definition at line 54 of file elxLinearResampleInterpolator.h.

## Superclass2

template<class TElastix>

using elastix::LinearResampleInterpolator< TElastix >::Superclass2 = ResampleInterpolatorBase<TElastix>

Definition at line 56 of file elxLinearResampleInterpolator.h.

## Constructor & Destructor Documentation

## LinearResampleInterpolator()

template<class TElastix>

elastix::LinearResampleInterpolator< TElastix >::LinearResampleInterpolator | ( |  | ) |

protected default

The constructor.

## ~LinearResampleInterpolator()

template<class TElastix>

elastix::LinearResampleInterpolator< TElastix >::~LinearResampleInterpolator | ( |  | ) |

override protected default

The destructor.

## Member Function Documentation

## elxClassNameMacro()

template<class TElastix>

elastix::LinearResampleInterpolator< TElastix >::elxClassNameMacro | ( | "FinalLinearInterpolator" |  | ) |

Name of this class. Use this name in the parameter file to select this specific resample interpolator.
example: (ResampleInterpolator "FinalLinearInterpolator")

## GetClassName()

template<class TElastix>

virtual const char * elastix::LinearResampleInterpolator< TElastix >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from elastix::ResampleInterpolatorBase< TElastix >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TElastix>

elastix::LinearResampleInterpolator< TElastix >::ITK_DISALLOW_COPY_AND_MOVE | ( | LinearResampleInterpolator< TElastix > |  | ) |

## itkStaticConstMacro()

template<class TElastix>

elastix::LinearResampleInterpolator< TElastix >::itkStaticConstMacro | ( | ImageDimension | ,
|  | unsigned int | ,
|  | Superclass1::ImageDimension | )

Dimension of the image.

## New()

template<class TElastix>

Pointer elastix::LinearResampleInterpolator< TElastix >::New | ( |  | ) |

static

Method for creation through the object factory.

## Field Documentation

## elxOverrideGetSelfMacro

template<class TElastix>

elastix::LinearResampleInterpolator< TElastix >::elxOverrideGetSelfMacro

private

Definition at line 93 of file elxLinearResampleInterpolator.h.

Generated on 1768596610 for elastix by 1.15.0 |